import React from 'react'
import styles from './index.module.scss'
import { useSelector } from 'react-redux'
import { RootState } from '@/store'
import { B3_APIgetList } from '@/store/action/Benter/B3auth'
import TableList from '@/pages/Zother/TableList'
import { baseFormData, topSearch } from '@/pages/Zother/data'
import { baseTableC } from '@/utils/tableData'

const search = topSearch('鉴定')

const baseFormDataRes = baseFormData()

function B3auth() {
  // 从仓库拿数据
  const tableInfo = useSelector((state: RootState) => state.B3auth.tableInfo)

  return (
    <div className={styles.B3auth}>
      <div className='pageTitle'>藏品鉴定</div>
      <TableList
        baseFormData={baseFormDataRes}
        getListAPI={B3_APIgetList}
        pageKey='auth'
        tableInfo={tableInfo}
        columnsTemp={baseTableC('鉴定')}
        yHeight={585}
        searchDom={search}
      />
    </div>
  )
}

const MemoB3auth = React.memo(B3auth)

export default MemoB3auth
